package speiger.src.coreengine.rendering.guiOld.components;

import speiger.src.coreengine.rendering.guiOld.GuiComponent;

public class EmptyComponent extends GuiComponent
{
	public EmptyComponent()
	{
		super(0F, 0F, 0F, 0F);
		setFlag(FLAG_SUPPORT_BINDING);
		clearFlag(FLAG_ALWAYS_CLICKABLE);
	}
	
	@Override
	public void init() {}
	
	@Override
	protected boolean onUserKey()
	{
		notifyListeners(LISTENER_USER_ACTION);
		return true;
	}
}
